/*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*\

File: octvc1_rc2string.h

Copyright (c) 2014 Octasic Inc. All rights reserved.

Description:

This file contains the rc2string implementation for package OCTVC1

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation; either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

Octasic_Release: OCTSDR-2G-01.08.05-B29-ALPHA (2014/08/14)

$Revision:  $

\*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*/


#ifndef __OCTVC1_RC2STRING__
#define __OCTVC1_RC2STRING__

#include "../octdev_types.h"
/* -------------------------------------------------------------------------------------
	OCTVC1_RC2STRING
   -------------------------------------------------------------------------------------*/
#define mOCTVC1_RC2STRING( _f_ulRc ) \
	octvc1_rc2string( _f_ulRc )

#ifndef OCTVC1_RC2STRING_DECLARE
extern const char * octvc1_rc2string( tOCT_UINT32 f_ulRc );
#endif 


#ifdef OCTVC1_RC2STRING_DECLARE
#include <stdio.h>
#include "octvc1_generic_rc.h"
#include "octvc1_licensing_rc.h"
#include "pkt_api/octvc1_pkt_api_rc.h"
#include "main/octvc1_main_rc.h"
#include "gsm/octvc1_gsm_rc.h"


/* -------------------------------------------------------------------------------------
	octvc1_rc2string
   -------------------------------------------------------------------------------------*/
const char * octvc1_rc2string( tOCT_UINT32 f_ulRc )
{
	static char g_szUnknownoctvc1_rc2string[32];
	switch( f_ulRc )
	{
		case cOCTVC1_RC_OK:
			return "cOCTVC1_RC_OK";
		case cOCTVC1_GENERIC_RC_NO_MORE_FREE_SESSION:
			return "cOCTVC1_GENERIC_RC_NO_MORE_FREE_SESSION";
		case cOCTVC1_GENERIC_RC_INVALID_TRANSACTION_ID:
			return "cOCTVC1_GENERIC_RC_INVALID_TRANSACTION_ID";
		case cOCTVC1_GENERIC_RC_NO_MORE_OBJECT:
			return "cOCTVC1_GENERIC_RC_NO_MORE_OBJECT";
		case cOCTVC1_GENERIC_RC_GET_MODE_INVALID:
			return "cOCTVC1_GENERIC_RC_GET_MODE_INVALID";
		case cOCTVC1_GENERIC_RC_HANDLE_INVALID:
			return "cOCTVC1_GENERIC_RC_HANDLE_INVALID";
		case cOCTVC1_GENERIC_RC_NO_MORE_SUB_OBJECT:
			return "cOCTVC1_GENERIC_RC_NO_MORE_SUB_OBJECT";
		case cOCTVC1_GENERIC_RC_ENTRY_INVALID:
			return "cOCTVC1_GENERIC_RC_ENTRY_INVALID";
		case cOCTVC1_GENERIC_RC_BAD_SUB_OBJECT:
			return "cOCTVC1_GENERIC_RC_BAD_SUB_OBJECT";
		case cOCTVC1_GENERIC_RC_NO_TDM_CLOCK:
			return "cOCTVC1_GENERIC_RC_NO_TDM_CLOCK";
		case cOCTVC1_GENERIC_RC_HANDLE_OBJECT_INVALID:
			return "cOCTVC1_GENERIC_RC_HANDLE_OBJECT_INVALID";
		case cOCTVC1_GENERIC_RC_API_INVALID_CMD_LENGTH:
			return "cOCTVC1_GENERIC_RC_API_INVALID_CMD_LENGTH";
		case cOCTVC1_GENERIC_RC_API_INVALID_CMD_ID_BASE:
			return "cOCTVC1_GENERIC_RC_API_INVALID_CMD_ID_BASE";
		case cOCTVC1_GENERIC_RC_API_INVALID_CMD_ID:
			return "cOCTVC1_GENERIC_RC_API_INVALID_CMD_ID";
		case cOCTVC1_GENERIC_RC_API_INVALID_CMD_TYPE:
			return "cOCTVC1_GENERIC_RC_API_INVALID_CMD_TYPE";
		case cOCTVC1_GENERIC_RC_API_RESTRICTED_CMD_ID:
			return "cOCTVC1_GENERIC_RC_API_RESTRICTED_CMD_ID";
		case cOCTVC1_GENERIC_RC_API_INVALID_DEVICE_TYPE:
			return "cOCTVC1_GENERIC_RC_API_INVALID_DEVICE_TYPE";
		case cOCTVC1_GENERIC_RC_API_OUT_OF_RANGE:
			return "cOCTVC1_GENERIC_RC_API_OUT_OF_RANGE";
		case cOCTVC1_GENERIC_RC_API_CMD_NOT_IMPLEMENTED:
			return "cOCTVC1_GENERIC_RC_API_CMD_NOT_IMPLEMENTED";
		case cOCTVC1_GENERIC_RC_OCTSYS_MEM_ALLOC:
			return "cOCTVC1_GENERIC_RC_OCTSYS_MEM_ALLOC";
		case cOCTVC1_GENERIC_RC_OCTSYS_FILE_SYS:
			return "cOCTVC1_GENERIC_RC_OCTSYS_FILE_SYS";
		case cOCTVC1_GENERIC_RC_OCTSYS_EXT_MEM_READ_FAIL:
			return "cOCTVC1_GENERIC_RC_OCTSYS_EXT_MEM_READ_FAIL";
		case cOCTVC1_GENERIC_RC_OCTSYS_EXT_MEM_WRITE_FAIL:
			return "cOCTVC1_GENERIC_RC_OCTSYS_EXT_MEM_WRITE_FAIL";
		case cOCTVC1_GENERIC_RC_OCTSYS_IO_READ_FAIL:
			return "cOCTVC1_GENERIC_RC_OCTSYS_IO_READ_FAIL";
		case cOCTVC1_GENERIC_RC_OCTSYS_IO_WRITE_FAIL:
			return "cOCTVC1_GENERIC_RC_OCTSYS_IO_WRITE_FAIL";
		case cOCTVC1_GENERIC_RC_OCTSYS_STATE_MANAGER_FULL:
			return "cOCTVC1_GENERIC_RC_OCTSYS_STATE_MANAGER_FULL";
		case cOCTVC1_GENERIC_RC_OCTSYS_STATE_MANAGER_EVENT_NOT_FOUND:
			return "cOCTVC1_GENERIC_RC_OCTSYS_STATE_MANAGER_EVENT_NOT_FOUND";
		case cOCTVC1_GENERIC_RC_OCTSYS_CREATE_VSP_FIFO:
			return "cOCTVC1_GENERIC_RC_OCTSYS_CREATE_VSP_FIFO";
		case cOCTVC1_GENERIC_RC_OCTSYS_CREATE_AF_FIFO:
			return "cOCTVC1_GENERIC_RC_OCTSYS_CREATE_AF_FIFO";
		case cOCTVC1_GENERIC_RC_OCTSYS_MEM_SHARE:
			return "cOCTVC1_GENERIC_RC_OCTSYS_MEM_SHARE";
		case cOCTVC1_GENERIC_RC_OCTSYS_DIR_LINK_ADD:
			return "cOCTVC1_GENERIC_RC_OCTSYS_DIR_LINK_ADD";
		case cOCTVC1_GENERIC_RC_OCTSYS_AF_CORE_ALLOC:
			return "cOCTVC1_GENERIC_RC_OCTSYS_AF_CORE_ALLOC";
		case cOCTVC1_GENERIC_RC_OCTSYS_ID_GET:
			return "cOCTVC1_GENERIC_RC_OCTSYS_ID_GET";
		case cOCTVC1_GENERIC_RC_OCTSYS_PROCESS_CREATE:
			return "cOCTVC1_GENERIC_RC_OCTSYS_PROCESS_CREATE";
		case cOCTVC1_GENERIC_RC_OCTSYS_THREAD_CREATE:
			return "cOCTVC1_GENERIC_RC_OCTSYS_THREAD_CREATE";
		case cOCTVC1_GENERIC_RC_OCTSYS_HANDLE_OPEN:
			return "cOCTVC1_GENERIC_RC_OCTSYS_HANDLE_OPEN";
		case cOCTVC1_GENERIC_RC_OCTSYS_FIFO_WRITE:
			return "cOCTVC1_GENERIC_RC_OCTSYS_FIFO_WRITE";
		case cOCTVC1_GENERIC_RC_OCTSYS_DUMP_GET:
			return "cOCTVC1_GENERIC_RC_OCTSYS_DUMP_GET";
		case cOCTVC1_LICENSING_RC_DENIED:
			return "cOCTVC1_LICENSING_RC_DENIED";
		case cOCTVC1_LICENSING_RC_INVALID_LICENSE:
			return "cOCTVC1_LICENSING_RC_INVALID_LICENSE";
		case cOCTVC1_PKT_API_RC_OS_ERROR:
			return "cOCTVC1_PKT_API_RC_OS_ERROR";
		case cOCTVC1_PKT_API_RC_TRANSPORT_ERROR:
			return "cOCTVC1_PKT_API_RC_TRANSPORT_ERROR";
		case cOCTVC1_PKT_API_RC_TIMEOUT:
			return "cOCTVC1_PKT_API_RC_TIMEOUT";
		case cOCTVC1_PKT_API_RC_LOCAL_MAC_INDEX_NOT_FOUND:
			return "cOCTVC1_PKT_API_RC_LOCAL_MAC_INDEX_NOT_FOUND";
		case cOCTVC1_PKT_API_RC_BAD_PARAM:
			return "cOCTVC1_PKT_API_RC_BAD_PARAM";
		case cOCTVC1_PKT_API_RC_INST_CNCT_NOMORE:
			return "cOCTVC1_PKT_API_RC_INST_CNCT_NOMORE";
		case cOCTVC1_PKT_API_RC_INST_PKT_NOMORE:
			return "cOCTVC1_PKT_API_RC_INST_PKT_NOMORE";
		case cOCTVC1_PKT_API_RC_INST_SYNC_TOOMANY:
			return "cOCTVC1_PKT_API_RC_INST_SYNC_TOOMANY";
		case cOCTVC1_PKT_API_RC_INST_CNCT_DEP:
			return "cOCTVC1_PKT_API_RC_INST_CNCT_DEP";
		case cOCTVC1_PKT_API_RC_INST_DISCOVER_INPROGRESS:
			return "cOCTVC1_PKT_API_RC_INST_DISCOVER_INPROGRESS";
		case cOCTVC1_PKT_API_RC_INST_RSP_TRUNCATE:
			return "cOCTVC1_PKT_API_RC_INST_RSP_TRUNCATE";
		case cOCTVC1_PKT_API_RC_INST_TERMINATED:
			return "cOCTVC1_PKT_API_RC_INST_TERMINATED";
		case cOCTVC1_PKT_API_RC_CNCT_SESS_NOMORE:
			return "cOCTVC1_PKT_API_RC_CNCT_SESS_NOMORE";
		case cOCTVC1_PKT_API_RC_CNCT_SESS_DEP:
			return "cOCTVC1_PKT_API_RC_CNCT_SESS_DEP";
		case cOCTVC1_PKT_API_RC_CNCT_BRIDGE_DEP:
			return "cOCTVC1_PKT_API_RC_CNCT_BRIDGE_DEP";
		case cOCTVC1_PKT_API_RC_CNCT_ALREADY_OPEN:
			return "cOCTVC1_PKT_API_RC_CNCT_ALREADY_OPEN";
		case cOCTVC1_PKT_API_RC_INTERFACE_NAME_NOT_FOUND:
			return "cOCTVC1_PKT_API_RC_INTERFACE_NAME_NOT_FOUND";
		case cOCTVC1_PKT_API_RC_DEPENDENCIES:
			return "cOCTVC1_PKT_API_RC_DEPENDENCIES";
		case cOCTVC1_PKT_API_RC_SESS_CLOSE:
			return "cOCTVC1_PKT_API_RC_SESS_CLOSE";
		case cOCTVC1_PKT_API_RC_CNCT_CLOSE:
			return "cOCTVC1_PKT_API_RC_CNCT_CLOSE";
		case cOCTVC1_PKT_API_RC_SESS_ALREADY_OPEN:
			return "cOCTVC1_PKT_API_RC_SESS_ALREADY_OPEN";
		case cOCTVC1_MAIN_RC_PROCESS_IMAGE_LOAD_FILE_NOT_FOUND:
			return "cOCTVC1_MAIN_RC_PROCESS_IMAGE_LOAD_FILE_NOT_FOUND";
		case cOCTVC1_MAIN_RC_CORE_NOT_FOUND:
			return "cOCTVC1_MAIN_RC_CORE_NOT_FOUND";
		case cOCTVC1_MAIN_RC_EVENT_MASK_INVALID:
			return "cOCTVC1_MAIN_RC_EVENT_MASK_INVALID";
		case cOCTVC1_MAIN_RC_ETH_PORT_RESTRICTED_API_DENIED:
			return "cOCTVC1_MAIN_RC_ETH_PORT_RESTRICTED_API_DENIED";
		case cOCTVC1_MAIN_RC_PROCESS_NOT_FOUND:
			return "cOCTVC1_MAIN_RC_PROCESS_NOT_FOUND";
		case cOCTVC1_MAIN_RC_TDM_BUFFER_TX_TSST_INVALID:
			return "cOCTVC1_MAIN_RC_TDM_BUFFER_TX_TSST_INVALID";
		case cOCTVC1_MAIN_RC_TDM_MODIFY_STATUS_INVALID:
			return "cOCTVC1_MAIN_RC_TDM_MODIFY_STATUS_INVALID";
		case cOCTVC1_MAIN_RC_FILE_OPEN:
			return "cOCTVC1_MAIN_RC_FILE_OPEN";
		case cOCTVC1_MAIN_RC_FILE_HANDLE:
			return "cOCTVC1_MAIN_RC_FILE_HANDLE";
		case cOCTVC1_MAIN_RC_FILE_INVALID_ACCESS_RIGHTS:
			return "cOCTVC1_MAIN_RC_FILE_INVALID_ACCESS_RIGHTS";
		case cOCTVC1_MAIN_RC_FILE_WRITE:
			return "cOCTVC1_MAIN_RC_FILE_WRITE";
		case cOCTVC1_MAIN_RC_FILE_SEEK_UNKOWN_ORIGIN:
			return "cOCTVC1_MAIN_RC_FILE_SEEK_UNKOWN_ORIGIN";
		case cOCTVC1_MAIN_RC_FILE_SEEK_INVALID_OFFSET:
			return "cOCTVC1_MAIN_RC_FILE_SEEK_INVALID_OFFSET";
		case cOCTVC1_MAIN_RC_FILE_SEEK:
			return "cOCTVC1_MAIN_RC_FILE_SEEK";
		case cOCTVC1_MAIN_RC_FILE_NOT_FOUND:
			return "cOCTVC1_MAIN_RC_FILE_NOT_FOUND";
		case cOCTVC1_MAIN_RC_FILE_MAX_READ_BYTE_SIZE:
			return "cOCTVC1_MAIN_RC_FILE_MAX_READ_BYTE_SIZE";
		case cOCTVC1_MAIN_RC_FILE_MAX_WRITE_BYTE_SIZE:
			return "cOCTVC1_MAIN_RC_FILE_MAX_WRITE_BYTE_SIZE";
		case cOCTVC1_MAIN_RC_FILE_NAME:
			return "cOCTVC1_MAIN_RC_FILE_NAME";
		case cOCTVC1_MAIN_RC_FILE_ALREADY_OPENED:
			return "cOCTVC1_MAIN_RC_FILE_ALREADY_OPENED";
		case cOCTVC1_MAIN_RC_FILE_BUSY:
			return "cOCTVC1_MAIN_RC_FILE_BUSY";
		case cOCTVC1_MAIN_RC_FILE_ALREADY_CLOSED:
			return "cOCTVC1_MAIN_RC_FILE_ALREADY_CLOSED";
		case cOCTVC1_MAIN_RC_FILE_NOT_OPEN:
			return "cOCTVC1_MAIN_RC_FILE_NOT_OPEN";
		case cOCTVC1_MAIN_RC_FILE_FLASH_CMD_NOT_AVAILABLE:
			return "cOCTVC1_MAIN_RC_FILE_FLASH_CMD_NOT_AVAILABLE";
		case cOCTVC1_MAIN_RC_FILE_GET_MODE_INVALID:
			return "cOCTVC1_MAIN_RC_FILE_GET_MODE_INVALID";
		case cOCTVC1_MAIN_RC_FILE_OCT1010ID_EXT_MEM:
			return "cOCTVC1_MAIN_RC_FILE_OCT1010ID_EXT_MEM";
		case cOCTVC1_MAIN_RC_FILE_OCT1010ID_CHECKSUM:
			return "cOCTVC1_MAIN_RC_FILE_OCT1010ID_CHECKSUM";
		case cOCTVC1_MAIN_RC_FILE_OCT1010ID_FILE_SIZE:
			return "cOCTVC1_MAIN_RC_FILE_OCT1010ID_FILE_SIZE";
		case cOCTVC1_MAIN_RC_FILE_OCT1010ID_TYPE:
			return "cOCTVC1_MAIN_RC_FILE_OCT1010ID_TYPE";
		case cOCTVC1_MAIN_RC_FILE_ACCESS_DENIED:
			return "cOCTVC1_MAIN_RC_FILE_ACCESS_DENIED";
		case cOCTVC1_MAIN_RC_FILE_SYSTEM_INFO:
			return "cOCTVC1_MAIN_RC_FILE_SYSTEM_INFO";
		case cOCTVC1_MAIN_RC_FILE_SYSTEM_INFO_NO_MORE_FILE:
			return "cOCTVC1_MAIN_RC_FILE_SYSTEM_INFO_NO_MORE_FILE";
		case cOCTVC1_MAIN_RC_GPIO_BANK_INVALID:
			return "cOCTVC1_MAIN_RC_GPIO_BANK_INVALID";
		case cOCTVC1_MAIN_RC_FLASH_INVALID_ADDRESS:
			return "cOCTVC1_MAIN_RC_FLASH_INVALID_ADDRESS";
		case cOCTVC1_MAIN_RC_FLASH_ACCESS_OUT_OF_RANGE:
			return "cOCTVC1_MAIN_RC_FLASH_ACCESS_OUT_OF_RANGE";
		case cOCTVC1_MAIN_RC_FLASH_APP_SPACE:
			return "cOCTVC1_MAIN_RC_FLASH_APP_SPACE";
		case cOCTVC1_MAIN_RC_FLASH_NOT_PRESENT:
			return "cOCTVC1_MAIN_RC_FLASH_NOT_PRESENT";
		case cOCTVC1_MAIN_RC_FLASH_TYPE_UNKNOWN:
			return "cOCTVC1_MAIN_RC_FLASH_TYPE_UNKNOWN";
		case cOCTVC1_MAIN_RC_FLASH_ERROR:
			return "cOCTVC1_MAIN_RC_FLASH_ERROR";
		case cOCTVC1_MAIN_RC_SPI_CHIP_SELECT_INVALID:
			return "cOCTVC1_MAIN_RC_SPI_CHIP_SELECT_INVALID";
		case cOCTVC1_MAIN_RC_SPI_CLOCK_FREQUENCY_INVALID:
			return "cOCTVC1_MAIN_RC_SPI_CLOCK_FREQUENCY_INVALID";
		case cOCTVC1_MAIN_RC_SPI_CLOCK_POLARITY_INVALID:
			return "cOCTVC1_MAIN_RC_SPI_CLOCK_POLARITY_INVALID";
		case cOCTVC1_MAIN_RC_SPI_CLOCK_PHASE_INVALID:
			return "cOCTVC1_MAIN_RC_SPI_CLOCK_PHASE_INVALID";
		case cOCTVC1_MAIN_RC_SPI_TRANSFER_SIZE_INVALID:
			return "cOCTVC1_MAIN_RC_SPI_TRANSFER_SIZE_INVALID";
		case cOCTVC1_MAIN_RC_CPU_USAGE_HANDLE_INVALID:
			return "cOCTVC1_MAIN_RC_CPU_USAGE_HANDLE_INVALID";
		case cOCTVC1_MAIN_RC_CPU_USAGE_THRESHOLD_INVALID:
			return "cOCTVC1_MAIN_RC_CPU_USAGE_THRESHOLD_INVALID";
		case cOCTVC1_MAIN_RC_CPU_USAGE_NOT_ACCESSIBLE:
			return "cOCTVC1_MAIN_RC_CPU_USAGE_NOT_ACCESSIBLE";
		case cOCTVC1_MAIN_RC_DMA_TRACE_PARAMETER_INVALID:
			return "cOCTVC1_MAIN_RC_DMA_TRACE_PARAMETER_INVALID";
		case cOCTVC1_MAIN_RC_DMA_TRACE_OCTSYS_FUNC_ERROR:
			return "cOCTVC1_MAIN_RC_DMA_TRACE_OCTSYS_FUNC_ERROR";
		case cOCTVC1_MAIN_RC_DMA_TRACE_PASSWORD_ERROR:
			return "cOCTVC1_MAIN_RC_DMA_TRACE_PASSWORD_ERROR";
		case cOCTVC1_MAIN_RC_DMA_TRACE_ENGINE_STATE:
			return "cOCTVC1_MAIN_RC_DMA_TRACE_ENGINE_STATE";
		case cOCTVC1_MAIN_RC_BUFFER_FORMAT:
			return "cOCTVC1_MAIN_RC_BUFFER_FORMAT";
		case cOCTVC1_MAIN_RC_BUFFER_MAX_REACHED:
			return "cOCTVC1_MAIN_RC_BUFFER_MAX_REACHED";
		case cOCTVC1_MAIN_RC_BUFFER_FILE_NOT_FOUND:
			return "cOCTVC1_MAIN_RC_BUFFER_FILE_NOT_FOUND";
		case cOCTVC1_MAIN_RC_BUFFER_READ:
			return "cOCTVC1_MAIN_RC_BUFFER_READ";
		case cOCTVC1_MAIN_RC_BUFFER_WRITE_LENGTH:
			return "cOCTVC1_MAIN_RC_BUFFER_WRITE_LENGTH";
		case cOCTVC1_MAIN_RC_BUFFER_WRITE_OFFSET:
			return "cOCTVC1_MAIN_RC_BUFFER_WRITE_OFFSET";
		case cOCTVC1_MAIN_RC_BUFFER_MODIFY:
			return "cOCTVC1_MAIN_RC_BUFFER_MODIFY";
		case cOCTVC1_MAIN_RC_BUFFER_LOCK:
			return "cOCTVC1_MAIN_RC_BUFFER_LOCK";
		case cOCTVC1_MAIN_RC_BUFFER_INTERNAL_ERROR:
			return "cOCTVC1_MAIN_RC_BUFFER_INTERNAL_ERROR";
		case cOCTVC1_MAIN_RC_TRACING_MODE:
			return "cOCTVC1_MAIN_RC_TRACING_MODE";
		case cOCTVC1_MAIN_RC_TRACING_TYPE:
			return "cOCTVC1_MAIN_RC_TRACING_TYPE";
		case cOCTVC1_MAIN_RC_TRACING_NUM_BUFFER:
			return "cOCTVC1_MAIN_RC_TRACING_NUM_BUFFER";
		case cOCTVC1_MAIN_RC_TRACING_BUFFER_SIZE:
			return "cOCTVC1_MAIN_RC_TRACING_BUFFER_SIZE";
		case cOCTVC1_MAIN_RC_TRACING_ALREADY_ACTIVE:
			return "cOCTVC1_MAIN_RC_TRACING_ALREADY_ACTIVE";
		case cOCTVC1_MAIN_RC_DEBUG_FORWARD_ALREADY_OPENED:
			return "cOCTVC1_MAIN_RC_DEBUG_FORWARD_ALREADY_OPENED";
		case cOCTVC1_MAIN_RC_DEBUG_FORWARD_SOURCE_MAC_ADDRESS:
			return "cOCTVC1_MAIN_RC_DEBUG_FORWARD_SOURCE_MAC_ADDRESS";
		case cOCTVC1_MAIN_RC_REDUNDANCY_SERVER_ALREADY_STARTED:
			return "cOCTVC1_MAIN_RC_REDUNDANCY_SERVER_ALREADY_STARTED";
		case cOCTVC1_MAIN_RC_REDUNDANCY_SERVER_NOT_STARTED:
			return "cOCTVC1_MAIN_RC_REDUNDANCY_SERVER_NOT_STARTED";
		case cOCTVC1_MAIN_RC_REDUNDANCY_SERVER_INVALID_REDUNDANT_MGW_CNT:
			return "cOCTVC1_MAIN_RC_REDUNDANCY_SERVER_INVALID_REDUNDANT_MGW_CNT";
		case cOCTVC1_MAIN_RC_REDUNDANCY_SERVER_API_RESOURCE_OPENED_ON_ACTIVE_MGW:
			return "cOCTVC1_MAIN_RC_REDUNDANCY_SERVER_API_RESOURCE_OPENED_ON_ACTIVE_MGW";
		case cOCTVC1_MAIN_RC_REDUNDANCY_SERVER_MGW_MAX_REACHED:
			return "cOCTVC1_MAIN_RC_REDUNDANCY_SERVER_MGW_MAX_REACHED";
		case cOCTVC1_MAIN_RC_REDUNDANCY_SERVER_INVALID_MGW_HANDLE:
			return "cOCTVC1_MAIN_RC_REDUNDANCY_SERVER_INVALID_MGW_HANDLE";
		case cOCTVC1_MAIN_RC_REDUNDANCY_SERVER_INTERNAL_ERROR:
			return "cOCTVC1_MAIN_RC_REDUNDANCY_SERVER_INTERNAL_ERROR";
		case cOCTVC1_MAIN_RC_REDUNDANCY_SERVER_UNSUPPORTED_API_CMD:
			return "cOCTVC1_MAIN_RC_REDUNDANCY_SERVER_UNSUPPORTED_API_CMD";
		case cOCTVC1_MAIN_RC_REDUNDANCY_SERVER_FAILOVER_ALREADY_EXECUTED:
			return "cOCTVC1_MAIN_RC_REDUNDANCY_SERVER_FAILOVER_ALREADY_EXECUTED";
		case cOCTVC1_MAIN_RC_BUFFER_OPEN_INVALID_ALLOCATED_BYTE_LENGTH:
			return "cOCTVC1_MAIN_RC_BUFFER_OPEN_INVALID_ALLOCATED_BYTE_LENGTH";
		case cOCTVC1_GSM_RC_GENERIC_EVENT_MASK_INVALID:
			return "cOCTVC1_GSM_RC_GENERIC_EVENT_MASK_INVALID";
		case cOCTVC1_GSM_RC_MODULE__INVALID_US_MESSAGE_LENGTH:
			return "cOCTVC1_GSM_RC_MODULE__INVALID_US_MESSAGE_LENGTH";
	}
	sprintf( g_szUnknownoctvc1_rc2string, "0x%.8X", f_ulRc ); 
	return g_szUnknownoctvc1_rc2string;
}
#endif 

#endif /* __OCTVC1_RC2STRING__ */
